package com.vendor.loader.adapter;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.vendor.loader.Log.Log;
import com.vendor.loader.Messages;
import com.vendor.loader.controler.Builder;
import com.vendor.loader.struct.UpgradeFileInfo;
import com.vendor.loader.util.FileHelper;
import com.vendor.loader.util.FileUtil;
import com.vendor.loader.util.InvalidDataFormatException;
import java.util.ArrayList;
import java.util.Locale;
import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;
import org.eclipse.osgi.util.NLS;

public class ImgAdapter {
  protected boolean validateInput(ArrayList<UpgradeFileInfo> updateFiles) {
    if (updateFiles.size() == 0) {
      Log.showError(Messages.LoaderComposite_87);
      return false;
    } 
    if (!FileHelper.checkUpgradeFileInfo(updateFiles))
      return false; 
    if (updateFiles.size() > 256) {
      String message = String.format(Locale.ROOT, Messages.LoaderComposite_88, new Object[] { Integer.valueOf(256) });
      Log.showError(message);
      return false;
    } 
    for (UpgradeFileInfo file : updateFiles) {
      try {
        FileUtil.checkAddressConflict(file, updateFiles);
      } catch (InvalidDataFormatException e) {
        Log.showError(e.getMessage());
        return false;
      } 
    } 
    return true;
  }
  
  protected void printEndMessage(Builder builder, String[] error, IStatus status, String outputFile) {
    String message = null;
    if (status == Status.OK_STATUS) {
      if (builder instanceof com.vendor.loader.util.SOCTUsbPackageBuilder) {
        message = NLS.bind(Messages.MESSAGE_MAKE_IMAGE_SUCCESS, "SOCTFile");
      } else if (builder instanceof com.vendor.loader.util.SOCTTsPackageBuilder) {
        message = NLS.bind(Messages.MESSAGE_MAKE_IMAGE_SUCCESS, "SOCTOTA");
      } else {
        message = NLS.bind(Messages.MESSAGE_MAKE_IMAGE_SUCCESS, "SSUOTA");
      } 
      Log.infoln(message);
      Log.infoln(NLS.bind(Messages.MESSAGE_MAKE_IMAGE_GEBERARED, outputFile));
    } else {
      if (builder instanceof com.vendor.loader.util.SOCTUsbPackageBuilder) {
        message = NLS.bind(Messages.MESSAGE_MAKE_IMAGE_FAILED, "SOCTOTA", 
            (error[0] == null) ? "" : error[0]);
      } else if (builder instanceof com.vendor.loader.util.SOCTTsPackageBuilder) {
        message = NLS.bind(Messages.MESSAGE_MAKE_IMAGE_FAILED, "SOCTOTA", 
            (error[0] == null) ? "" : error[0]);
      } else {
        message = NLS.bind(Messages.MESSAGE_MAKE_IMAGE_FAILED, "SSUOTA", 
            (error[0] == null) ? "" : error[0]);
      } 
      Log.errorln(message);
    } 
  }
}
